Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358839 - [FD Beta] Introduce DPDK 16.04
Summary: [FD Beta] Introduce DPDK 16.04
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dpdk
Version: 7.3
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Flavio Leitner
QA Contact: Jean-Tsung Hsiao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 15:07 UTC by Flavio Leitner
Modified: 2018-07-16 15:30 UTC (History)
2 users (show)

Fixed In Version: dpdk-16.04-4.el7fdb
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-29 19:56:03 UTC


Attachments (Terms of Use)
lof file of "strace -f python /usr/sbin/dpdk_nic_bind --bind=vfio-pci 0000:81:00.0" (deleted)
2016-07-29 16:45 UTC, Jean-Tsung Hsiao
no flags Details

Description Flavio Leitner 2016-07-21 15:07:34 UTC
Description of problem:

Introduce DPDK 16.04 to FD Beta channel.

Comment 7 Jean-Tsung Hsiao 2016-07-29 16:45:45 UTC
Created attachment 1185621 [details]
lof file of "strace -f python /usr/sbin/dpdk_nic_bind --bind=vfio-pci 0000:81:00.0"

Comment 10 Jean-Tsung Hsiao 2016-08-01 15:32:00 UTC
We have done the sanity testing against dpdk 16.04 with the following:

1. DPDK-only --- OVS free testing
Test cases include:
a. Xena to testpmd/Host --- no guest involved
b. Name space to testpmd/Host --- ping and 
netperf {TCP_STREAM, TCP_MAERTS, UDP_STREAM-64 bytes, UDP_STREAM-1024 bytes, UDP_STREAM-1454 bytes, UDP_STREAM-65507 bytes }
traffic from name space #0 to testpmd at host, loopback to name space #1.

2. OVS-dpdk --- To be tested with OVS-2.5.0-5
Test cases include:
a. Xena to dpdk0/dpdk1 64 bytes --- loop back at dpdk0/dpdk1 at host, no guest involved.
b. Xena to 4Q vhostuser/testpmd 64 bytes

Comment 12 Flavio Leitner 2016-09-29 19:56:03 UTC
This should have been closed by the Errata Tool.
Closing manually.


Note You need to log in before you can comment on or make changes to this bug.